## cpuset 1.5.6

=== Makefile ===
PREFIX	?= $(HOME)
DESTDIR	?= /
PYTHON	?= python

all:
	$(PYTHON) setup.py build

rpm:
	$(PYTHON) setup.py bdist_rpm

srcrpm:
	$(PYTHON) setup.py bdist_rpm

srcdist:
	$(PYTHON) setup.py sdist

install:
	$(PYTHON) setup.py install --prefix=$(PREFIX) --root=$(DESTDIR)

test:
	cd t && $(MAKE) all

doc:
	cd doc && $(MAKE) all

clean:
	for dir in doc t; do \
		(cd $$dir && $(MAKE) clean); \
	done
	rm -rf build
	rm -f cpuset/*.pyc
	rm -f cpuset/commands/*.pyc
	rm -f TAGS

clobber: clean
	rm -rf dist

tags:
	ctags -e -R cpuset/*

.PHONY: all install doc test clean

=== doc/Makefile ===
MAN1_TXT=$(wildcard cset*.txt)

DOC_HTML=$(patsubst %.txt,%.html,$(MAN1_TXT) $(MAN7_TXT))

ARTICLES = 
# with their own formatting rules.
SP_ARTICLES = tutorial

DOC_HTML += $(patsubst %,%.html,$(ARTICLES) $(SP_ARTICLES))
DOC_PDF += $(patsubst %,%.pdf,$(ARTICLES) $(SP_ARTICLES))

DOC_MAN1=$(patsubst %.txt,%.1,$(MAN1_TXT))
DOC_MAN7=$(patsubst %.txt,%.7,$(MAN7_TXT))

prefix?=$(HOME)/man
mandir?=$(prefix)
man1dir=$(mandir)/man1
# DESTDIR=

ASCIIDOC=asciidoc --unsafe
ASCIIDOC_EXTRA =
INSTALL?=install

#
# Please note that there is a minor bug in asciidoc.
# The version after 6.0.3 _will_ include the patch found here:
#   http://marc.theaimsgroup.com/?l=git&m=111558757202243&w=2
#
# Until that version is released you may have to apply the patch
# yourself - yes, all 6 characters of it!
#

all: html man

html: $(DOC_HTML)
pdf: $(DOC_PDF)

$(DOC_HTML) $(DOC_MAN1) $(DOC_MAN7): asciidoc.conf

man: man1
man1: $(DOC_MAN1)

install: man
	$(INSTALL) -d -m755 $(DESTDIR)$(man1dir)
	$(INSTALL) -m644 $(DOC_MAN1) $(DESTDIR)$(man1dir)
	cd $(DESTDIR)$(man1dir); gzip *.1

-include doc.dep

clean:
	rm -f *.xml *.pdf doc.dep
	#rm -f *.xml *.html *.pdf *.1 *.7 doc.dep

%.html : %.txt
	$(ASCIIDOC) -b xhtml11 -d manpage -f asciidoc.conf $(ASCIIDOC_EXTRA) $<

%.1 %.7 : %.xml
	xmlto -m callouts.xsl man $<

%.xml : %.txt
	$(ASCIIDOC) -b docbook -d manpage -f asciidoc.conf $<

%.pdf: %.xml
	xmlto pdf $<

#special formatting rules
tutorial.html : %.html : %.txt
	$(ASCIIDOC) -b xhtml11 -d article -f tutorial.conf -a toc -a numbered -a toclevels=4 $(ASCIIDOC_EXTRA) $<
tutorial.xml : %.xml : %.txt
	$(ASCIIDOC) -b docbook -d article -f tutorial.conf $<

=== debian/changelog ===
cpuset (1.5.6-5) unstable; urgency=low

  * Update filesystem namespace prefix patch (Closes: #796893)
  * Update Standards-Version to 3.9.6 (no changes)
  * Remove obsolete homepage URL (upstream is dormant and its Google Code
    site is gone)
  * Fix typo in documentation

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 10 Oct 2015 17:49:51 -0400

cpuset (1.5.6-4) unstable; urgency=low

  * Update Standards-Version to 3.9.5 (no changes)
  * Transition from python-support to dy-python

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 08 Mar 2014 19:00:41 -0500

cpuset (1.5.6-3) unstable; urgency=low

  * Include updated watch file.
  * Update Standards-Version to 3.9.4 (no changes)
  * Add Homepage field to debian/control
  * Patch cset.py to account for filesystem prefixes (LP: #1028933, #1075997)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 03 Aug 2013 11:28:50 -0400

cpuset (1.5.6-2) unstable; urgency=low

  * Rebuilt to compensate for poor timing of upload.

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 01 Oct 2011 17:08:21 -0400

cpuset (1.5.6-1) unstable; urgency=low

  * Initial release (Closes: 639495)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 27 Aug 2011 13:37:24 -0400

=== debian/control ===
Source: cpuset
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 7), python (>= 2.6.6-3~), dh-python, quilt
Standards-Version: 3.9.6

Package: cpuset
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Allows manipluation of cpusets and provides higher level fun
 Cpuset is a Python application to make using the cpusets facilities in the
 Linux kernel easier. The actual included command is called cset and it allows
 manipulation of cpusets on the system and provides higher level functions such
 as implementation and control of a basic CPU shielding setup.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0 at
# Sat, 27 Aug 2011 13:17:13 -0400

# Unset the environment variables set by dpkg-buildpackage. (This is
# necessary because distutils is brittle with compiler/linker flags
# set. Specifically, packages using f2py will break without this.)
unexport CPPFLAGS
unexport CFLAGS
unexport CXXFLAGS
unexport FFLAGS
unexport LDFLAGS

%:
	dh $@ --with quilt --with python2 --buildsystem python_distutils

=== debian/watch ===
# Upstream for this project has become dormant and its Google Code site is gone

## cpuset 1.6

=== debian/changelog ===
cpuset (1.6-3) unstable; urgency=medium

  * python-cpuset: Add dependency on python-future (Closes: #939116)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 03 Sep 2019 14:28:49 -0400

cpuset (1.6-2) unstable; urgency=medium

  * Add Replaces/Breaks to fix upgrades from earlier version (Closes: #938931)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 31 Aug 2019 10:17:35 -0400

cpuset (1.6-1) unstable; urgency=medium

  * New upstream release
  * Add watch file pointing to GitHub upstream
  * Change section in debian/control (python -> utils) (Closes: #832201)
  * Update Standards-Version to 4.4.0 (no changes)
  * Update to debhelper compatibility level 10
  * Drop filesystem prefix patch to cset.py; no longer compatible with new
    upstream release
  * Support Python 3 in addition to Python 2

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 14 Aug 2019 14:52:32 -0400

cpuset (1.5.6-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary preinst. (Closes: #905670)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 28 Aug 2018 19:09:50 -0400

=== debian/control ===
Source: cpuset
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10), python-all (>= 2.6.6-3~), python3-all, dh-python, quilt
Standards-Version: 4.4.0
Homepage: https://github.com/lpechacek/cpuset

Package: cpuset
Architecture: all
Depends: python-cpuset (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Allows manipluation of cpusets and provides higher level fun
 Cpuset is a Python application to make using the cpusets facilities in the
 Linux kernel easier. The actual included command is called cset and it allows
 manipulation of cpusets on the system and provides higher level functions such
 as implementation and control of a basic CPU shielding setup.
 .
 This package contains the cset command-line utility.

Package: python-cpuset
Section: python
Architecture: all
Depends: python-future, ${python:Depends}, ${misc:Depends}
Replaces: cpuset (<< 1.6~)
Breaks: cpuset (<< 1.6~)
Description: manipluation of cpusets and provides higher level fun - Python 2.x
 Cpuset is a Python application to make using the cpusets facilities in the
 Linux kernel easier. The actual included command is called cset and it allows
 manipulation of cpusets on the system and provides higher level functions such
 as implementation and control of a basic CPU shielding setup.
 .
 This package contains the Python 2.x modules.

Package: python3-cpuset
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: manipluation of cpusets and provides higher level fun - Python 3.x
 Cpuset is a Python application to make using the cpusets facilities in the
 Linux kernel easier. The actual included command is called cset and it allows
 manipulation of cpusets on the system and provides higher level functions such
 as implementation and control of a basic CPU shielding setup.
 .
 This package contains the Python 3.x modules.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,16 @@
 unexport FFLAGS
 unexport LDFLAGS
 
+export PYBUILD_NAME=cpuset
+
 %:
-	dh $@ --with quilt --with python2 --buildsystem python_distutils
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
-
+override_dh_auto_install:
+	dh_auto_install
+	mkdir -p $(CURDIR)/debian/cpuset/usr/bin
+	mv $(CURDIR)/debian/python-cpuset/usr/bin/cset $(CURDIR)/debian/cpuset/usr/bin
+	rm -rf $(CURDIR)/debian/python-cpuset/usr/share/doc/cpuset \
+		$(CURDIR)/debian/python3-cpuset/usr/share/doc/cpuset \
+		$(CURDIR)/debian/python-cpuset/usr/bin \
+		$(CURDIR)/debian/python3-cpuset/usr/bin

## cpuset 1.6.2

=== t/Makefile ===
# Run cpuset tests
# Suite design taken from git which is Copyright (c) 2005 Junio C Hamano
#
# Copyright (C) 2007 Novell Inc.
# Author: Alex Tsariounov <tsariounov@gmail.com>
#

#CSET_TEST_OPTS=--verbose --debug
SHELL_PATH ?= $(SHELL)
TAR ?= $(TAR)

# Shell quote;
SHELL_PATH_SQ = $(subst ','\'',$(SHELL_PATH))

T = $(wildcard t[0-9][0-9][0-9][0-9]-*.sh)

all: $(T) clean

$(T):
	@echo "*** $@ ***"; '$(SHELL_PATH_SQ)' $@ $(GIT_TEST_OPTS)

clean:
	rm -fr trash

.PHONY: $(T) clean
.NOPARALLEL:

=== debian/changelog ===
cpuset (1.6.2-2) unstable; urgency=medium

  * Non-maintainer upload.
  * Import on Salsa
  * Reformat d/control with debputy
  * Use dh-sequence-python3
  * Add build-dep on python3-setuptools (Closes: #1100206)
  * Fix SyntaxWarning (Closes: #1085531)
  * Switch to DebHelper 13
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Mar 2025 12:23:40 +0100

cpuset (1.6.2-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.6.2 (Closes: #941094, LP: #1907891)
  * We can now remove dependency on deprecated python3-future.
  * add d/.gitignore
  * add d/clean
  * patches: typos have been fixed upstream

 -- Alexandre Detiste <tchet@debian.org>  Mon, 11 Dec 2023 23:42:24 +0100

cpuset (1.6-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: add missing dependency python3-future.
    Thanks to David Bremner <bremner@debian.org>. (Closes: #981227)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 10 Feb 2021 18:39:04 +0000

cpuset (1.6-4) unstable; urgency=medium

  * Update Standards-Version to 4.5.0 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 18 Apr 2020 21:27:38 -0400

cpuset (1.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936338

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Nov 2019 21:12:13 -0500

=== debian/control ===
Source: cpuset
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.2
Homepage: https://github.com/lpechacek/cpuset
Vcs-Browser: https://salsa.debian.org/debian/cpuset
Vcs-Git: https://salsa.debian.org/debian/cpuset.git
X-Style: black

Package: cpuset
Architecture: all
Depends:
 python3-cpuset (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Allows manipluation of cpusets and provides higher level fun
 Cpuset is a Python application to make using the cpusets facilities in the
 Linux kernel easier. The actual included command is called cset and it allows
 manipulation of cpusets on the system and provides higher level functions such
 as implementation and control of a basic CPU shielding setup.
 .
 This package contains the cset command-line utility.

Package: python3-cpuset
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: manipluation of cpusets and provides higher level fun - Python 3.x
 Cpuset is a Python application to make using the cpusets facilities in the
 Linux kernel easier. The actual included command is called cset and it allows
 manipulation of cpusets on the system and provides higher level functions such
 as implementation and control of a basic CPU shielding setup.
 .
 This package contains the Python 3.x modules.

=== debian/rules ===
#!/usr/bin/make -f

# Unset the environment variables set by dpkg-buildpackage. (This is
# necessary because distutils is brittle with compiler/linker flags
# set. Specifically, packages using f2py will break without this.)
unexport CPPFLAGS
unexport CFLAGS
unexport CXXFLAGS
unexport FFLAGS
unexport LDFLAGS

export PYBUILD_NAME=cpuset

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/debian/cpuset/usr/bin
	mv $(CURDIR)/debian/python3-cpuset/usr/bin/cset $(CURDIR)/debian/cpuset/usr/bin
	rm -rf $(CURDIR)/debian/python3-cpuset/usr/share/doc/cpuset \
		$(CURDIR)/debian/python3-cpuset/usr/bin
